### Method

# Camel Service set_display_name

since: 3.2

#### Declaration [src]

    void
    camel_service_set_display_name (
      CamelService* service,
      const gchar* display_name
    )

#### Description [src]

Assigns a UTF-8 display name to `service`. The display name is intended for use in a user interface and should generally be given a user-defined name.

Compare this with camel_service_get_name(), which returns a built-in description of the type of service (IMAP, SMTP, etc.).

Available since: 3.2

Sets property | `Camel.Service:display-name`

#### Parameters

`display_name`

  Type: `const gchar*`

  A valid UTF-8 string, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.